unit PCI4DLL;

interface
  function pci4_available_boards: Word;
  function pci4_configure_channel(board, chan, xdcr_type, recircs_ssibits : word;
                            gradient_resolution, scaleval, offset: double): word;
  function pci4_start(board, chan, recircs_ssibits : word): word;
  function pci4_get_status(board, chan :word): word;
  function pci4_isready(board, chan :word): word;
  function pci4_get_count( board, chan :word): word;
  function pci4_auto_count_channel( board, chan: word; var count: word): word;
  function pci4_auto_counts_board( board :word; var counts : word): word;
implementation
  function pci4_available_boards; external 'pci4.dll' name 'pci4_available_boards';
  function pci4_configure_channel; external 'pci4.dll' name 'pci4_configure_channel';
  function pci4_start; external 'pci4.dll' name 'pci4_start';
  function pci4_get_status; external 'pci4.dll' name 'pci4_get_status';
  function pci4_isready; external 'pci4.dll' name 'pci4_isready';
  function pci4_get_count; external 'pci4.dll' name 'pci4_get_count';
  function pci4_auto_count_channel; external 'pci4.dll' name 'pci4_auto_count_channel';
  function pci4_auto_counts_board; external 'pci4.dll' name 'pci4_auto_counts_board';
end.
